---
wsId: Moonstake
title: Moonstake Wallet
altTitle: 
authors:
- danny
users: 10000
appId: io.moonstake.wallet
appCountry: us
released: 2020-03-24
updated: 2022-05-25
version: 2.16.3
stars: 3.5
ratings: 2237
reviews: 14
size: 
website: https://moonstake.io
repository: 
issue: 
icon: io.moonstake.wallet.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-09-23
signer: 
reviewArchive: 
twitter: moonstake
social:
- https://www.linkedin.com/company/moonstake
- https://www.facebook.com/moonstakekorea
redirect_from: 

---

Moonstake Wallet directly claims that it is a non-custodial wallet. From the Play Store description:

> Safe and secure, this app never takes custody of your digital assets.  Assets stay in your existing wallet, so you won't ever worry about your account being hacked from our platform and your private keys & passphrases are encrypted and stored in your local device.

Found in the [FAQ:](https://support.moonstake.io/hc/en-us/articles/360001944535-Does-Moonstake-hold-the-private-key-or-backup-passphrase-of-my-wallet-)

> **Does Moonstake hold the private key or backup passphrase of my wallet?**<br>
Moonstake Mobile Wallet and Web Wallet are both non-custodial wallets. As the operator of the wallet, Moonsatke does not hold any of the user's assets. As a decentralized wallet, both Private Key and Backup Passphrase can only be seen by the user with their ID and Password. Moonstake cannot access each individual user's wallets.


We sent an inquiry to the support at contact@moonstake.io to ask if the source code is publicly available. We await their response.

However, until then as there is no link to any repository in the official website, this wallet has **no source.**